Bug 508093 - Starting /sbin/fence_xvmd on an x86_64 system fails due to missing dependency (libvirt.so.0). Installation of libvirt fails unless forcing arch in package name.
Starting /sbin/fence_xvmd on an x86_64 system fails due to missing dependency...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.3
x86_64 Linux
low Severity low
: beta
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 11:43 EDT by Brian Harrington
Modified: 2016-04-26 11:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-29 09:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Harrington 2009-06-25 11:43:14 EDT
Description of problem:

Starting /sbin/fence_xvmd on an x86_64 system fails due to missing dependency (libvirt.so.0).  Installation of libvirt fails unless forcing arch in package name.

Version-Release number of selected component (if applicable):
cman-2.0.98-1.el5_3.4
libvirt-0.3.3-14.el5_3.1

How reproducible:
Very


Steps to Reproduce:
1. Groupinstall "clustering" from Satellite server
2. Attempt to start /sbin/fence_xvmd
3. Upon seeing missing libvirt.so.0, run "yum install libvirt"
4. Install fails due to compatibility issue with dbus
  
Actual results:

Failure of execution of /sbin/fence_xvmd, failure of package install for libvirt.

Expected results:

Installation of dependency (libvirt) automatically at install time.  Additionally, attempting to install libvirt should succeed in choosing correct arch version and *NOT* attempting both i386 and x86_64 installs.

Additional info:
Comment 1 Brian Harrington 2009-06-25 11:49:24 EDT
Additionally this is on RHEL 5.2, stock kernel (2.6.18-128.1.14.el5xen).
Comment 2 Issue Tracker 2009-07-29 07:53:48 EDT
Event posted on 07-29-2009 07:53am EDT by calvin_g_smith

Correcting OS version. The 2.6.18-128.1.6 corresponds to the RHEL 5.3
kernel

Version changed from '5.2' to '5.3'

This event sent from IssueTracker by calvin_g_smith 
 issue 311278
Comment 3 Chris Feist 2009-07-29 08:22:18 EDT
Can you post the failure message from the package install of libvirt?  And the exact command line you have used?  This looks like it could be a yum issue.

Thanks,
Chris
Comment 6 Christine Caulfield 2009-10-29 09:25:34 EDT
I've just had a look at the package and I can't see any dependency on libvirt at all, so I wonder if it's just a co-incidence that it usually works. 

Or maybe it's been deliberately excluded so that cman doesn't have a huge virtualisation dependency which is not commonly used.
Comment 7 Perry Myers 2009-10-29 09:28:50 EDT
cman shouldn't depend on libvirt.  We don't put ALL fence dependencies as Requries: in cman since that would drag in far too many things.
Comment 8 Christine Caulfield 2009-10-29 09:38:20 EDT
So this isn't a cman bug at all? if anything it's a libvirt one ?
Comment 9 Perry Myers 2009-10-29 09:44:55 EDT
That's how it seems to me... From the original steps to reproduce:

1. Groupinstall "clustering" from Satellite server
2. Attempt to start /sbin/fence_xvmd
3. Upon seeing missing libvirt.so.0, run "yum install libvirt"

#3 is not a bug since we don't put Requires for every single fence dependency into cman historically.  This is resolved in Fedora with deprecation of fence-xvmd and inclusion of fence-virt which is it's own package and therefore can bring in its own dependencies.

4. Install fails due to compatibility issue with dbus

This would be a libvirt issue, but we need to get more information on this bug before moving it to libvirt team including whether or not it is reproducible and if it is perhaps getting a sosreport.

Note You need to log in before you can comment on or make changes to this bug.